component: BasicFunction
proto_imports:
  - base/diag/example/basic_function/diagnostics.proto
metric: BasicFunctionMetric
namespace: zoox::diag::example::basic_function
faults:
  - id: 1
    name: CurrentLow
    severity: ERROR
    description: Sensor current is too low
  - id: 2
    name: CurrentHigh
    severity: ERROR
    description: Sensor current is too high
  - id: 3
    name: VoltageLow
    severity: ERROR
    description: Sensor voltage is too low
  - id: 4
    name: VoltageHigh
    severity: ERROR
    description: Sensor voltage is too high
